﻿using System.Collections.Generic;
using System.Web.Mvc;
using UIComboSample.Models;

namespace UIComboSample.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Continents = new List<string>()
            {
                "ASIA",
                "AFRICA",
                "NORTH AMERICA",
                "SOUTH AMERICA",
                "EUROPE",
                "AUSTRALIA",
                "ANTARCTICA"
            };

            ViewBag.ContinentsSelectList = new List<SelectListItem>()
            {
                new SelectListItem() { Text = "ASIA", Value= "ASIA" },
                new SelectListItem() { Text = "AFRICA", Value= "AFRICA" },
                new SelectListItem() { Text = "NORTH AMERICA", Value= "NORTH AMERICA" },
                new SelectListItem() { Text = "SOUTH AMERICA", Value= "SOUTH AMERICA" },
                new SelectListItem() { Text = "EUROPE", Value= "EUROPE" },
                new SelectListItem() { Text = "AUSTRALIA", Value= "AUSTRALIA" },
                new SelectListItem() { Text = "ANTARCTICA", Value= "ANTARCTICA" },
            };


            SampleViewModel viewModel = new SampleViewModel();
            viewModel.Continent = "EUROPE";

            return View(viewModel);
        }
    }
}
